<mat-card>
  <mat-card-title>لیست کاربران</mat-card-title>
  <mat-card-content>
    <ng-template #noContent>
      <span class="no-content">کاربری وجود ندارد</span>
    </ng-template>
    <table mat-table [dataSource]="users" *ngIf="users.length !== 0; Else noContent">
      <ng-container matColumnDef="firstName">
        <th mat-header-cell *matHeaderCellDef>نام</th>
        <td mat-cell *matCellDef="let user"> {{user.firstName}} </td>
      </ng-container>
      <ng-container matColumnDef="lastName">
        <th mat-header-cell *matHeaderCellDef>نام خانوادگی</th>
        <td mat-cell *matCellDef="let user"> {{user.lastName}} </td>
      </ng-container>
      <ng-container matColumnDef="email">
        <th mat-header-cell *matHeaderCellDef>ایمیل</th>
        <td mat-cell *matCellDef="let user"> {{user.email}} </td>
      </ng-container>
      <ng-container matColumnDef="password">
        <th mat-header-cell *matHeaderCellDef>رمز عبور</th>
        <td mat-cell *matCellDef="let user"> {{user.password}} </td>
      </ng-container>
      <ng-container matColumnDef="isAdmin">
        <th mat-header-cell *matHeaderCellDef>ادمین هست؟</th>
        <td mat-cell *matCellDef="let user"> {{user.isAdmin ? 'بله': 'خیر'}} </td>
      </ng-container>
      <ng-container matColumnDef="actions">
        <th mat-header-cell *matHeaderCellDef></th>
        <td mat-cell *matCellDef="let user">
          <button mat-icon-button color="primary" (click)="onEdit(user)">
            <i class="material-icons">edit</i>
          </button>
          <button mat-icon-button color="warn" (click)="onDelete(user)">
            <i class="material-icons">delete</i>
          </button>
        </td>
      </ng-container>
      <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
    </table>
  </mat-card-content>
</mat-card>